高画質化ツール
AIを活用した画像高解像度化、顔面補正オプション付き
機能
- 最大4倍のアップスケーリング
- 顔の強調オプション
- 画質を維持
- 高速処理
料金設定
2 (~$0.02)2 credits per image (any scale/face_enhance setting)
エンドポイント
POST
/api/v1/images/generateパラメータ
| パラメータ | タイプ | 必須 | 説明 |
|---|---|---|---|
| model | string | 必須 | Must be "upscaler" |
| type | string | 必須 | Must be "upscale" |
| image_urls | string[] | 必須 | Input image URL or base64 (single item) to upscale |
| input_image | string | オプション | Deprecated. Alias for image_urls[0] |
| scale | number | オプション | Upscale factor: 1, 2, 3, or 4 (default: 2) |
| face_enhance | boolean | オプション | Enable face enhancement (default: false) |
リクエストの例
{
"model": "upscaler",
"type": "upscale",
"image_urls": ["https://tempfile.aiquickdraw.com/workers/nano/image_1772780968156_ygk0zm.png"],
"scale": 4,
"face_enhance": true
}レスポンス例
{
"success": true,
"data": {
"task_id": "task_up123",
"credits_used": 2,
"remaining_credits": 498
}
}コード例
curl -X POST https://gateway.bananapro.site/api/v1/images/generate \
-H "Authorization: Bearer sk-your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "upscaler",
"type": "upscale",
"image_urls": ["https://tempfile.aiquickdraw.com/workers/nano/image_1772780968156_ygk0zm.png"],
"scale": 4,
"face_enhance": true
}'